Bug 1470713 - [abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x20
[abrt] xorg-x11-server-Xwayland: Segmentation fault at address 0x20
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:e5b3be3bbbd364f537c12b38eec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 09:57 EDT by bugzilla
Modified: 2017-12-12 05:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:23:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (911 bytes, text/plain)
2017-07-13 09:57 EDT, bugzilla
no flags Details
File: dmesg (124.67 KB, text/plain)
2017-07-13 09:57 EDT, bugzilla
no flags Details
File: dso_list (417 bytes, text/plain)
2017-07-13 09:57 EDT, bugzilla
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (347 bytes, application/octet-stream)
2017-07-13 09:57 EDT, bugzilla
no flags Details
File: usr_share_xorg_conf_d.tar.gz (1.80 KB, application/octet-stream)
2017-07-13 09:57 EDT, bugzilla
no flags Details

  None (edit)
Description bugzilla 2017-07-13 09:57:24 EDT
Version-Release number of selected component:
xorg-x11-server-Xwayland-1.19.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
executable:     /usr/bin/Xwayland
kernel:         4.11.6-201.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           xorg
uid:            0

Truncated backtrace:
0: /usr/bin/Xwayland (OsLookupColor+0x139) [0x590de9]
1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7eff321215ff]
2: /lib64/libdrm_nouveau.so.2 (nouveau_bo_ref+0x108) [0x7eff2d469fa8]
3: /lib64/libdrm_nouveau.so.2 (nouveau_pushbuf_data+0x4a4) [0x7eff2d46b474]
4: /lib64/libdrm_nouveau.so.2 (nouveau_pushbuf_kick+0x10) [0x7eff2d46bbc0]
5: /usr/lib64/dri/nouveau_dri.so (nouveau_drm_screen_create+0xa2036) [0x7eff2df01726]
6: /usr/lib64/dri/nouveau_dri.so (__driDriverGetExtensions_virtio_gpu+0x1796b4) [0x7eff2dbf1024]
7: /usr/bin/Xwayland (glamor_destroy_pixmap+0x195) [0x42ba25]
8: /usr/bin/Xwayland (BlockHandler+0xb1) [0x55b601]
9: /usr/bin/Xwayland (WaitForSomething+0x141) [0x58afa1]
10: /usr/bin/Xwayland (SendErrorToClient+0x13a) [0x556a0a]
11: /usr/bin/Xwayland (InitFonts+0x428) [0x55ac18]
12: /lib64/libc.so.6 (__libc_start_main+0xf1) [0x7eff31d6a401]
13: /usr/bin/Xwayland (_start+0x2a) [0x423e5a]
Comment 1 bugzilla 2017-07-13 09:57:27 EDT
Created attachment 1297628 [details]
File: backtrace
Comment 2 bugzilla 2017-07-13 09:57:30 EDT
Created attachment 1297629 [details]
File: dmesg
Comment 3 bugzilla 2017-07-13 09:57:31 EDT
Created attachment 1297630 [details]
File: dso_list
Comment 4 bugzilla 2017-07-13 09:57:33 EDT
Created attachment 1297631 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 5 bugzilla 2017-07-13 09:57:34 EDT
Created attachment 1297632 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 6 Fedora End Of Life 2017-11-16 10:41:57 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-12-12 05:23:04 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.